Summary: A Gnome based SIP/H323 teleconferencing application
Name: ekiga
Version: 2.0.2
Release: 7.0.2
URL: http://www.ekiga.org/
Source0: http://www.ekiga.org/ekiga-%{version}.tar.gz
# fixed in upstream cvs
Patch0: ekiga-2.0.2-translator-credits.patch
Patch1: ekiga-2.0.2-transparent.patch
Patch2: ekiga-2.0.2-format-string.patch
License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: pwlib >= 1.10.1
Requires: opal >= 2.2.2
Requires: GConf2 >= 1.2.1
Requires: libgnomeui >= 2.0
Requires: libgnome >= 2.0
Requires: avahi >= 0.6.9
Requires: avahi-glib >= 0.6.9
Requires: evolution-data-server
PreReq:    scrollkeeper
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: GConf2-devel >= 1.2.1
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libgnome-devel >= 2.0
BuildRequires: avahi-devel >= 0.6.9
BuildRequires: avahi-glib-devel >= 0.6.9
BuildRequires: openldap-devel
BuildRequires: pwlib-devel >= 1.10.0
BuildRequires: opal-devel >= 2.2.1
BuildRequires: libxml2-devel >= 2.5.0
BuildRequires: SDL-devel
BuildRequires: intltool >= 0.22
BuildRequires: pkgconfig
BuildRequires: scrollkeeper
BuildRequires: alsa-lib-devel
BuildRequires: gettext
BuildRequires: evolution-data-server-devel
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
Requires(post): GConf2, scrollkeeper
Requires(postun): scrollkeeper
Obsoletes: gnomemeeting

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses the standard SIP and H323 protocols.

%prep
%setup -q
%patch0 -p1 -b .translator-credits
%patch1 -p1 -b .transparent
%patch2 -p1 -b .format-string

%build
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1 -fPIC -Wformat-nonliteral"
CFLAGS="$RPM_OPT_FLAGS -Wformat-nonliteral"
# We disable howl for now, waiting for ekiga 2.0 to ship with avahi support
%configure --disable-scrollkeeper 
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor gnome --dir=$RPM_BUILD_ROOT%{_datadir}/applications --delete-original --copy-generic-name-to-name $RPM_BUILD_ROOT%{_datadir}/applications/ekiga.desktop

%find_lang ekiga

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null 2>&1
gconftool-2 --shutdown
(yes | ekiga-config-tool --install-schemas) > /dev/null 2>&1
scrollkeeper-update

%postun
scrollkeeper-update

%files -f ekiga.lang
%defattr(-,root,root)
%{_bindir}/ekiga
%{_bindir}/ekiga-config-tool
%{_libdir}/bonobo/servers/ekiga.server
%{_datadir}/applications/gnome-ekiga.desktop
%{_datadir}/gnome/help/ekiga
%{_datadir}/omf/ekiga
%{_datadir}/omf/ekiga/*.omf
%{_datadir}/pixmaps/*
%{_datadir}/man/*/*
%{_datadir}/sounds/ekiga
#%{_datadir}/ekiga
%{_sysconfdir}/gconf/schemas/ekiga.schemas

%changelog
* Tue Mar 5 2007 Soren Sandmann <sandmann@redhat.com> - 2.0.2-7.0.2
- Add -Wformat-nonliteral to CXX- and CFLAGS
- In format-string.patch, add G_GNUC_PRINTF as appropriate. Fix the
  resulting warnings. Bug 229262

* Mon Mar 5 2007 Soren Sandmann <sandmann@redhat.com> - 2.0.2-7.0.1
- Build with n-v-r that follows guidelines at

     http://intranet.corp.redhat.com/ic/intranet/UpdateModelNVRProposal.html

* Mon Mar 5 2007 Soren Sandmann <sandmann@redhat.com> - 2.0.2-9
- Change format-string patch to also fix a bug where a va_list was
  passed to a vararg function. Bug 229259

* Wed Feb 28 2007 Soren Sandmann <sandmann@redhat.com> - 2.0.2-8
- Add patch to fix format string vulnerability, bug 229259

* Sat Sep 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.2-7
- Make the status icon work in transparent panels

* Thu Aug 31 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.2-6
- Fix translator credits (197871)

* Mon Aug  7 2006 Matthew Barnes <mbarnes@redhat.com> - 2.0.2-5
- Rebuild against evolution-data-server-1.7.91

* Sat Aug  5 2006 Caolan McNamara <caolanm@redhat.com> - 2.0.2-4
- rebuild against new e-d-s

* Tue Aug  1 2006 Daniel Veillard <veillard@redhat.com> - 2.0.2-3
- rebuilt for #200960

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.2-1.1
- rebuild

* Wed May 31 2006 Daniel Veillard <veillard@redhat.com> - 2.0.2-1
- new release of ekiga 2.0.2
- activating Zeroconf support though avahi

* Mon May 22 2006 Jesse Keating <jkeating@redhat.com> - 2.0.1-3
- Fix BuildRequires and Requires(post), Requires(postun)

* Wed Mar 15 2006 Daniel Veillard <veillard@redhat.com> - 2.0.1-2
- run 'ekiga-config-tool --install-schemas' in %post, c.f. #178929

* Tue Mar 14 2006 Daniel Veillard <veillard@redhat.com> - 2.0.1-1
- last minute bug rerelease 2.0.1

* Mon Mar 13 2006 Daniel Veillard <veillard@redhat.com> - 2.0.0-1
- final release of 2.0.0

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 1.99.1-2
- Buildrequires: gnome-doc-utils

* Mon Feb 13 2006 Daniel Veillard <veillard@redhat.com> - 1.99.1-1
- new beta release issued

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.99.0-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.99.0-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Daniel Veillard <veillard@redhat.com> - 1.99.0-3
- Rebuilt following a libedataserver revision

* Fri Jan 27 2006 Matthias Clasen <mclasen@redhat.com> - 1.99.0-2
- Use the upstream .desktop file

* Tue Jan 24 2006 Daniel Veillard <veillard@redhat.com> - 1.99.0-1
- initial version based on the 1.99.0 beta and gnomemeeting spec file.
